This patch fixes a bug causing unresvs directed at wildcard masks to
not be applied by matching servers.

This diff *MUST* be applied after 2.0.8+unxr.diff

To apply this diff:
  cd SRC/modules
  patch -p1 < ircd-ratbox-2.0.8+unresv.diff
  make
  make install

Then via irc:
  /quote modrestart

RCS file: /cvsroot/ircd-ratbox/modules/m_resv.c,v
retrieving revision 1.61.2.4
retrieving revision 1.61.2.5
diff -u -r1.61.2.4 -r1.61.2.5
--- modules/m_resv.c	2005/04/05 01:36:06	1.61.2.4
+++ modules/m_resv.c	2005/04/30 20:51:10	1.61.2.5
@@ -408,7 +408,7 @@
 	propagate_generic(source_p, "UNRESV", parv[1], CAP_CLUSTER,
 			"%s", parv[2]);
 
-	if(!match(me.name, parv[1]))
+	if(!match(parv[1], me.name))
 		return 0;
 
 	if(!IsPerson(source_p))
